%define	name	lout
%define	version	3.30
%define	release	1mdk

Summary:	The Lout document formatting language.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Text tools
Source0:	ftp://ftp.cs.usyd.edu.au/jeff/lout/%{name}-%{version}.tar.bz2
Patch0:		lout-makefile.patch.bz2
License:	GPL
Url:		http://lout.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Lout is a high-level language for document formatting.  Lout reads a
high-level description of a document (similar in style to LaTeX) and can
produce a PostScript(TM) file for printing or produce plain text.
Lout supports the typesetting of documents which contain floating
figures, table, diagrams, rotated and scaled text or graphics, footnotes,
running headers, footers, an index, a table of contents and bibliography,
cross-references, mathematical equations and statistical graphs.  Lout can
be extended with definitions that should be easier to write than other
languages, since Lout is a high-level language.  Lout supports (with
hyphenation) a variety of languages:  Czech, Danish, Dutch, English,
Finnish, French, German, Norwegian, Russian, Slovenian, Spanish and
Swedish.

Install the lout package if you'd like to try the Lout document formatting
system.  Unless you're already a Lout expert, you'll probably want to also
install the lout-doc package, which contains the documentation for Lout.

%package doc
Summary:	The documentation for the Lout document formatting language.
Group:		Books/Computer books

%description doc
The lout-doc package includes all of the documentation for the Lout
document formatting language.  The documentation includes manuals for
regular users and for experts, written in Lout and available as
PostScript(TM) files.  The documentation provides good examples for how to
write large documents with Lout.

If you're installing the lout package, you should install the lout-doc
package.

%prep
%setup -q 
%patch0 -p1

%build
%make lout prg2lout

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/{bin,doc,lib,man/man1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/

%makeinstall_std DATADIR=%{_datadir} installman installdoc

for i in user slides expert design; do
    chmod 755 $RPM_BUILD_ROOT/usr/doc/lout/$i
done

#moves the man page
mkdir -p $RPM_BUILD_ROOT%{_datadir}
mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT%{_datadir}

# remove unwanted files
rm -rf $RPM_BUILD_ROOT/%_prefix/doc
rm -rf $RPM_BUILD_DIR/%name-%version/doc/user/.pie_intr.swp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,755)
%doc blurb README maillist whatsnew notes_dsc
%defattr(-,root,root)
%{_bindir}/lout
%{_mandir}/man1/*
%{_bindir}/prg2lout
%{_libdir}/lout

%files doc
%defattr(0644,root,root,755)
%doc doc/

%changelog
* Mon Nov 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.30-1mdk
- 3.30

* Fri Jun 18 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.29-1mdk
- regenerate patch

* Sat Dec 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.25-5mdk
- compile with optimizations on sparc
- spec cosmetics

* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.25-4mdk
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- use %%make macro
- use %%makeinstall_std macro

* Thu Jan 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.25-3mdk
- rebuild

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.25-2mdk
- fix doc subpackage group

* Sat Mar 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.25-1mdk
- 3.25

* Tue Oct 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.24-3mdk
- fix permissions

* Fri Jul 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.24-2mdk
- rebuild
- url

* Fri Nov 10 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.24-1mdk
- updated to 3.24
- merge patches
- remove useless manual stripping
- add more macros
- clean spec

* Thu Aug 31 2000 Etienne Faure <etienne@mandrakesoft.com> 3.08-11mdk
- rebuild with %doc and _mandir macros

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.08-10mdk
- fix group
- fix files section

* Sat Nov 06 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- no more gcc on sparc, so don't optimize instead (same egcs bug?)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root
- use gcc on sparc to avoid egcs bug

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
